Package org.jboss.resteasy.plugins.server.vertx

## Class VertxContainer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.vertx.VertxContainer

-     public class VertxContainer
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VertxJaxrsServer` | `vertx` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxContainer()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `static VertxResteasyDeployment` | `start()` |
    `static VertxResteasyDeployment` | `start​(String bindPath)` |
    `static VertxResteasyDeployment` | `start​(String bindPath, SecurityDomain domain)` |
    `static VertxResteasyDeployment` | `start​(String bindPath, SecurityDomain domain, VertxResteasyDeployment deployment)` |
    `static void` | `start​(VertxResteasyDeployment deployment)` |
    `static void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertx

          public static VertxJaxrsServer vertx

  - ### Constructor Detail

    - #### VertxContainer

          public VertxContainer()

  - ### Method Detail

    - #### start

          public static VertxResteasyDeployment start()
                                               throws Exception

      Throws:
        `Exception`

    - #### start

          public static VertxResteasyDeployment start​(String bindPath)
                                               throws Exception

      Throws:
        `Exception`

    - #### start

          public static void start​(VertxResteasyDeployment deployment)
                            throws Exception

      Throws:
        `Exception`

    - #### start

          public static VertxResteasyDeployment start​(String bindPath,
                                                      SecurityDomain domain)
                                               throws Exception

      Throws:
        `Exception`

    - #### start

          public static VertxResteasyDeployment start​(String bindPath,
                                                      SecurityDomain domain,
                                                      VertxResteasyDeployment deployment)
                                               throws Exception

      Throws:
        `Exception`

    - #### stop

          public static void stop()
                           throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`